<!DOCTYPE html>
<html lang="en">
<head>
    <title>animation</title>
    <style>
        .ani{
            border: 1px solid red;
            border-radius: 50px;
            height: 200px;
            width: 200px;
            animation-name:fsd64;
            animation-duration: 6s;
            /* animation: name duration timing-function delay iteration-count direction fill-mode; */
            /* animation-direction:alternate-reverse; */
            animation-delay: 0s;
            animation-iteration-count: 3;
            animation-fill-mode: both;
            position: relative;
            transition: width 2s, transition 4s;
            transition-timing-function:ease-in-out;

        }
        .ani:hover{
            width: 400px;
            transform: rotate(360deg); */
            /* transform: rotateZ(180deg); */
            /* transform: skew(30deg, -20deg); */

        }
       @keyframes fsd64{
        0%{background-color: aqua; top: 0px; left:0px ;transform: rotate(360deg); }
        25%{background-color: rgb(49, 24, 196); top: 0px; left:300px;transform: rotateZ(180deg);  }
        50%{background-color: rgb(65, 240, 12); top: 300px; left:300px  }
        75%{background-color: rgb(247, 52, 4); top: 300px; left:0  }
        100%{background-color: rgb(180, 249, 6); top: 0px; left:0px  }
       }
    
    </style>
</head>
<body>
    <div class="ani">
        <P>TalentSprint</P>
    </div>
</body>
</html>